## org.eclipse.jst.jsf.common.metadata.traittypes.traittypes
Interface SetGenerator

    public interface SetGenerator

A representation of the model object 'Set Generator'.

Provisional API - subject to change

See Also:
  `TraitTypesPackage.getSetGenerator()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getAlgorithm()` Returns the value of the 'Algorithm' attribute
`java.lang.String` `getExpression()` Returns the value of the 'Expression' attribute
`void` `setAlgorithm(java.lang.String value)` Sets the value of the '`Algorithm`' attribute
`void` `setExpression(java.lang.String value)` Sets the value of the '`Expression`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getAlgorithm

    java.lang.String getAlgorithm()

  Returns the value of the 'Algorithm' attribute.

  If the meaning of the 'Algorithm' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Algorithm' attribute.
  See Also:
    `setAlgorithm(String)`, `TraitTypesPackage.getSetGenerator_Algorithm()`

### setAlgorithm

    void setAlgorithm(java.lang.String value)

  Sets the value of the '`Algorithm`' attribute.

  Parameters:
    `value` - the new value of the 'Algorithm' attribute.
  See Also:
    `getAlgorithm()`

### getExpression

    java.lang.String getExpression()

  Returns the value of the 'Expression' attribute.

  If the meaning of the 'Expression' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expression' attribute.
  See Also:
    `setExpression(String)`, `TraitTypesPackage.getSetGenerator_Expression()`

### setExpression

    void setExpression(java.lang.String value)

  Sets the value of the '`Expression`' attribute.

  Parameters:
    `value` - the new value of the 'Expression' attribute.
  See Also:
    `getExpression()`